Bug 20866 - Thunderbird 52.1.1
Summary: Thunderbird 52.1.1
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: All Linux
: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: advisory MGA5-32-OK MGA5-64-OK
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2017-05-16 00:17 CEST by David Walser
Modified: 2017-06-10 09:01 CEST (History)
7 users (show)

See Also:
Source RPM: thunderbird
CVE:
Status comment:


Attachments

Description David Walser 2017-05-16 00:17:43 CEST
Thunderbird 52.1.1 has been released today (May 15):
https://www.mozilla.org/en-US/thunderbird/52.1.1/releasenotes/

We may want to update it, due to the bug fixes.
Comment 1 Mike Rambo 2017-05-18 17:01:21 CEST
Updated package uploaded for Mageia 5.

Advisory:
========================

Updated thunderbird and thunderbird-l10n packages fixes bugs:

* Crash when compacting IMAP folder
* Some attachments can't be opened or saved if the message body is empty
* Unable to load full message via POP if message was downloaded partially (or only headers) before
* Large attachments may not be shown or saved correctly if the message is stored in an IMAP folder which is not synchronized for offline use

Updated packages in core/updates_testing:
========================
thunderbird-52.1.1-1.mga5
thunderbird-debuginfo-52.1.1-1.mga5
thunderbird-enigmail-52.1.1-1.mga5

from thunderbird-52.1.1-1.mga5.src.rpm


and the thunderbird-l10n packages

thunderbird-ar-52.1.1-1.mga5.noarch.rpm
thunderbird-ast-52.1.1-1.mga5.noarch.rpm
thunderbird-be-52.1.1-1.mga5.noarch.rpm
thunderbird-bg-52.1.1-1.mga5.noarch.rpm
thunderbird-bn_BD-52.1.1-1.mga5.noarch.rpm
thunderbird-br-52.1.1-1.mga5.noarch.rpm
thunderbird-ca-52.1.1-1.mga5.noarch.rpm
thunderbird-cs-52.1.1-1.mga5.noarch.rpm
thunderbird-cy-52.1.1-1.mga5.noarch.rpm
thunderbird-da-52.1.1-1.mga5.noarch.rpm
thunderbird-de-52.1.1-1.mga5.noarch.rpm
thunderbird-el-52.1.1-1.mga5.noarch.rpm
thunderbird-en_GB-52.1.1-1.mga5.noarch.rpm
thunderbird-en_US-52.1.1-1.mga5.noarch.rpm
thunderbird-es_AR-52.1.1-1.mga5.noarch.rpm
thunderbird-es_ES-52.1.1-1.mga5.noarch.rpm
thunderbird-et-52.1.1-1.mga5.noarch.rpm
thunderbird-eu-52.1.1-1.mga5.noarch.rpm
thunderbird-fi-52.1.1-1.mga5.noarch.rpm
thunderbird-fr-52.1.1-1.mga5.noarch.rpm
thunderbird-fy_NL-52.1.1-1.mga5.noarch.rpm
thunderbird-ga_IE-52.1.1-1.mga5.noarch.rpm
thunderbird-gd-52.1.1-1.mga5.noarch.rpm
thunderbird-gl-52.1.1-1.mga5.noarch.rpm
thunderbird-he-52.1.1-1.mga5.noarch.rpm
thunderbird-hr-52.1.1-1.mga5.noarch.rpm
thunderbird-hsb-52.1.1-1.mga5.noarch.rpm
thunderbird-hu-52.1.1-1.mga5.noarch.rpm
thunderbird-hy_AM-52.1.1-1.mga5.noarch.rpm
thunderbird-id-52.1.1-1.mga5.noarch.rpm
thunderbird-is-52.1.1-1.mga5.noarch.rpm
thunderbird-it-52.1.1-1.mga5.noarch.rpm
thunderbird-ja-52.1.1-1.mga5.noarch.rpm
thunderbird-ko-52.1.1-1.mga5.noarch.rpm
thunderbird-lt-52.1.1-1.mga5.noarch.rpm
thunderbird-nb_NO-52.1.1-1.mga5.noarch.rpm
thunderbird-nl-52.1.1-1.mga5.noarch.rpm
thunderbird-nn_NO-52.1.1-1.mga5.noarch.rpm
thunderbird-pa_IN-52.1.1-1.mga5.noarch.rpm
thunderbird-pl-52.1.1-1.mga5.noarch.rpm
thunderbird-pt_BR-52.1.1-1.mga5.noarch.rpm
thunderbird-pt_PT-52.1.1-1.mga5.noarch.rpm
thunderbird-ro-52.1.1-1.mga5.noarch.rpm
thunderbird-ru-52.1.1-1.mga5.noarch.rpm
thunderbird-si-52.1.1-1.mga5.noarch.rpm
thunderbird-sk-52.1.1-1.mga5.noarch.rpm
thunderbird-sl-52.1.1-1.mga5.noarch.rpm
thunderbird-sq-52.1.1-1.mga5.noarch.rpm
thunderbird-sv_SE-52.1.1-1.mga5.noarch.rpm
thunderbird-ta_LK-52.1.1-1.mga5.noarch.rpm
thunderbird-tr-52.1.1-1.mga5.noarch.rpm
thunderbird-uk-52.1.1-1.mga5.noarch.rpm
thunderbird-vi-52.1.1-1.mga5.noarch.rpm
thunderbird-zh_CN-52.1.1-1.mga5.noarch.rpm
thunderbird-zh_TW-52.1.1-1.mga5.noarch.rpm

from thunderbird-l10n-52.1.1-1.mga5.src.rpm
Comment 2 David Walser 2017-05-20 03:23:29 CEST
Mike, thanks for this.  It hasn't been pushed yet in Cauldron, so that will need to happen before this update can be pushed (it can still be tested of course).
Comment 3 Dave Hodgins 2017-05-21 03:49:03 CEST
Advisory added to svn, but I put the wrong bug number in the svn commit commment.
Don't think that impacts anything.
Comment 4 Mike Rambo 2017-05-24 00:58:07 CEST
Thunderbird has been updated to 52.1.1 in cauldron. Package just finished building. I had taken the fact that the bug was against 5 only to be an indication that tbird needed to wait until (the hopefully soon) release of 6. My mistake. Anyway, it is there, so 5 can proceed as usual. :)
Comment 5 ben mcmonagle 2017-05-27 11:24:12 CEST
x86_64

urpmi thunderbird
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    

  thunderbird                    52.1.1       1.mga5        x86_64  
  thunderbird-en_GB              52.1.1       1.mga5        noarch  

sent myself an email with attachment, the body was empty, to pop3 isp.
downloaded same e-mail, opened and then saved attachment without issue
Comment 6 James Kerr 2017-05-27 22:35:51 CEST
On mga5-64 packages installed cleanly:

- thunderbird-52.1.1-1.mga5.x86_64
- thunderbird-en_GB-52.1.1-1.mga5.noarch


Email - POP/SMTP - OK
Calendar - OK
Address Book - OK
Unix Movemail - OK
Newsgroups - OK

To the extent tested, OK for mga5-64

Not tested: enigmail, IMAP
Comment 7 Herman Viaene 2017-05-28 10:14:28 CEST
MGA5-32 on Asus A6000VM
No installation issues, with thunderbird, nl package and enigmail.
When starting thunderbird from CLI I got some warnings a.o.:
	WARN	Add-on enigmail-de@www.enigmail.net is not compatible with application version.
1495958677290	addons.xpi-utils	WARN	addMetadata: Add-on enigmail-de@enigmail.mozdev.org is invalid: Error: Invalid addon ID: expected addon ID enigmail-de@enigmail.mozdev.org, found enigmail-de@www.enigmail.net in manifest (resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:1660:15) JS Stack trace: addMetadata@XPIProviderUtils.js:1660:15 < processFileChanges@XPIProviderUtils.js:2051:23 < this.XPIProvider.checkForChanges@XPIProvider.jsm:3826:34 < this.XPIProvider.startup@XPIProvider.jsm:2830:25 < callProvider@AddonManager.jsm:237:12 < _startProvider@AddonManager.jsm:790:5 < AddonManagerInternal.startup@AddonManager.jsm:976:9 < this.AddonManagerPrivate.startup@AddonManager.jsm:3033:5 < amManager.prototype.observe@addonManager.js:65:9
1495958677292	addons.xpi-utils	

As I never ever used any reference to enigmail, I disregarded this and was able to send/receive mail to/from another mail account on another machine. So OK for me.
Comment 8 Len Lawrence 2017-05-28 10:31:03 CEST
x86_64

Updated the three packages and restarted Thunderbird.  Checked address-books, Calendar and sending a message to Discuss.  T don't see sent mail in Thunderbird but the message arrived at google.com.  A message sent to myself did appear but it had been encrypted by Enigmail so I could not open it.  That is because I cannot remember the passphrase(s) set up in previous tests.  Clearing the passphrase and setting up another is impossible because of a longstanding problem with Gnupg and GNOME keyring which is publicised on the Thunderbird site.  So I shall be uninstalling Enigmail.  Tried IRC but ran foul of the "tarazed is not a registered nickname" problem which has never been resolved.  That message comes up every time I join the channel on Thursdays but in Thunderbird it results in a series of connections and disconnections.  Apart from those two personal issues Thunderbird is working fine.
Comment 9 Dave Hodgins 2017-06-10 01:28:27 CEST
Working ok here on x86_64 with enigmail on both pop3 and imap accounts.

Validating the update.
Comment 10 Mageia Robot 2017-06-10 09:01:56 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0024.html

Note You need to log in before you can comment on or make changes to this bug.